rte_mempool_cache(3)

NAME
rte_mempool_cache

SYNOPSIS

#include <rte_mempool.h>

  Data Fields

uint32_t size
uint32_t flushthresh
uint32_t len
void * objs [RTE_MEMPOOL_CACHE_MAX_SIZE *2]

Detailed Description

A structure that stores a per-core object cache.

Definition at line 90 of file rte_mempool.h.

Field Documentation

  uint32_t size
Size of the cache

Definition at line 91 of file rte_mempool.h.

  uint32_t flushthresh
Threshold before we flush excess elements

Definition at line 92 of file rte_mempool.h.

  uint32_t len
Current cache count

Definition at line 93 of file rte_mempool.h.

  void* objs[RTE_MEMPOOL_CACHE_MAX_SIZE *2]
Cache objects

Cache is allocated to this size to allow it to overflow in certain cases to avoid needless emptying of cache.

Definition at line 113 of file rte_mempool.h.

Author

Generated automatically by Doxygen for DPDK from the source code.